(function ($) {
    "use strict";
    
    var $window = $(window);
        
    //  This Code is for Home Slider
    
    if($.fn.owlCarousel){
        var home_slider_content_wrapper = $('.home_slider_content_wrapper');
        home_slider_content_wrapper.owlCarousel({
            loop: true,
            dots: false,
            autoplay: true,
            autoplayTimeout: 3000,
            items:5,
            autoplayHoverPause: true,
            responsive:{
                1200:{
                    items: 5,   
                },
                992:{
                    items: 4, 
                },
                768:{
                    items: 3,
                },
                300:{
                    items: 1,
                },
                480:{
                    items: 2, 
                }
            }
        });
    }  // Home slider end

    // This Code is for featured Slider

    if($.fn.owlCarousel){
        var featured_slider_wrapper = $('.featured_slider_wrapper');
        featured_slider_wrapper.owlCarousel({
            loop: true,
            dots: false,
            autoplay: false,
            autoplayTimeout: 3000,
            items:5,
            nav: true,
            navText: ['<i class="ion-chevron-left"></i>','<i class="ion-chevron-right"></i>'],
            responsive:{
                1200:{
                    items: 4,   
                },
                992:{
                    items: 4, 
                },
                768:{
                    items: 3,
                },
                300:{
                    items: 1,
                },
                480:{
                    items: 2, 
                }
            }
        });
    }  // Home slider end


    // This Code is for Tooltip
    $('[data-toggle="tooltip"]').tooltip();


    // This code is for Magnetic Pop_Up
    $('.popup-youtube').magnificPopup({
        type: 'iframe'
    });


    // this code is for meanmenu
    $('.header_area .mainmenu nav').meanmenu();
    
    
    
    // This code is for mouse move
    $('html, body').on('mousemove', function(e){
        
        var $wHeight = $(window).height(),
			$wWidth = $(window).width(),
			$wCh = $wHeight/2,
			$wCw = $wWidth/2,
			$yDist = (e.pageY - $wCh),
			$xDist = (e.pageX - $wCw),
			$yMove = -1*$yDist*(10/$wCh),
			$xMove = -1*$xDist*(20/$wCw);
        $('#logo_move').css({
            'transform': 'translateY(' + $yMove + '%) translateX(' + $xMove + '%)'
        });
        
        
    }).on('mouseenter', function(){
        setTimeout(function(){
            $('#logo_move').css('transition', 'none');
        }, 500);
    }).on('mouseleave', function(){
        $('#logo_move').css({
            'transition': 'all .3s linear',
            'transform': 'translateY(0) translateX(0)'
        });
    });

    
    
    // This Code is for scrll function for social_area
    var wHeight = $window.height();
    $window.scroll(function() {
        var distanceFromTop = $(document).scrollTop(),
        socialShare = $('.social_area');
        var footerOffset = $('.footer_area').offset().top;
        var acHeight = distanceFromTop + ((wHeight - 194)/2);

        if(acHeight > 1000 && acHeight < footerOffset){
            socialShare.addClass("visible");
        }
        else if( acHeight >= footerOffset){
            socialShare.removeClass('visible');
        }
        else{
            socialShare.removeClass('visible');
        }
        
        // This code is for homeleft content
        var homeLeftContent = $('.home_right_content_list');
        if(distanceFromTop > 779){
            homeLeftContent.addClass("visible");
        }
        else{
            homeLeftContent.removeClass('visible');
        }
    });
    
    
    // This code is for search pop up area
    var searchBtn = $('.search_button, .closeBtn'),
    searchForm = $('.search_popup form');

    searchBtn.on('click',function(){
        searchForm.toggleClass('clicked');
    });
    
    
    // This code is for subscribe pup up area
    var subscribe_btn = $('.subscribe_btn, .subscribe_close'),
    subscribe_wrapper = $('.subscribe_wrapper');

    subscribe_btn.on('click',function(){
        subscribe_wrapper.toggleClass('clicked');
        $('.subscribe_main_wrapper').toggleClass('clicked');
    });
    
    // This Code is for window load function
    $window.on('load', function() {
        $('.preloader').fadeOut('slow');
        $('.preloader-box').fadeOut('slow');
        
    });
  
})(jQuery);